/// actor_is_on_ground(?xoffset = 0, ?yoffset = 0)
// Returns whether the current instance is standing on the ground
// (be that solid objects or platforms)
// If offsets are specified, a relative position is checked instead.
// @author YellowAfterlife
var xoffset = 0, yoffset = 0;
if (argument_count > 0) xoffset = argument[0];
if (argument_count > 1) yoffset = argument[1];
var rx1 = bbox_left + xoffset;
var rx2 = bbox_right + xoffset;
var ry1 = bbox_bottom + yoffset;
var ry2 = ry1 + 1;
return collision_rectangle(rx1, ry1, rx2, ry2, obj_solid, true, true)
    || collision_rectangle(rx1, ry1, rx2, ry2, obj_platform, true, true);
