/// actor_move_x(delta)
// Moves the actor by the given offset on X axis.
// Returns whether destination was reached
// (as opposed to hitting something on the way).
// Fractions are carried over between the function calls.
// @author YellowAfterlife
var delta = argument0;
// handle fractions:
xfrac += abs(delta);
var steps = floor(xfrac);
xfrac -= steps;
// early exit:
if (steps == 0) return true;
// determine the region to check:
var rx;
if (delta < 0) {
    rx = bbox_left - 1;
} else {
    rx = bbox_right + 1;
}
var ry1 = bbox_top;
var ry2 = bbox_bottom;
// the actual movement loop:
var _sign = sign(delta), taken;
for (taken = 0; taken < steps; taken++) {
    // exit the loop if an obstacle is on the way:
    if (collision_rectangle(rx, ry1, rx, ry2, obj_solid, true, true)) break;
    // shift the region and the instance:
    rx += _sign;
    x += _sign;
}
// return if the instance had moved as far as intended:
return taken >= steps;
