/// actor_move_y(delta)
// Moves the actor by the given offset on Y axis.
// Returns whether destination was reached
// (as opposed to hitting something on the way).
// Fractions are carried over between the function calls.
// @author YellowAfterlife
var delta = argument0;
// handle fractions:
yfrac += abs(delta);
var steps = floor(yfrac);
yfrac -= steps;
// early exit:
if (steps == 0) return true;
// determine the region to check:
var ry;
if (delta < 0) {
    ry = bbox_top - 1;
} else {
    ry = bbox_bottom + 1;
}
var rx1 = bbox_left;
var rx2 = bbox_right;
// the actual movement loop:
var _sign = sign(delta), taken;
for (taken = 0; taken < steps; taken++) {
    // exit the loop if an obstacle is on the way:
    if (collision_rectangle(rx1, ry, rx2, ry, obj_solid, true, true)) break;
    // platforms are considered only when moving downwards (+y):
    if (delta > 0 && collision_rectangle(rx1, ry, rx2, ry, obj_platform, true, true)) break;
    // shift the instance and the region:
    ry += _sign;
    y += _sign;
}
// return if the instance had moved as far as intended:
return taken >= steps;
