/// platform_move_x_post(ctx, steps_taken, delta)
// Applies velocities to the affected actors.
// @author YellowAfterlife
var ctx = argument0;
var ctx_platform = ctx[@0];
var ctx_map = ctx[@1];
var ctx_keys = ctx[@2];
var ctx_values = ctx[@3];
var taken = argument1;
var delta = argument2;
var steps = abs(delta);
var _sign = sign(delta);
if (taken > 0) {
    // loop through all affected instances:
    var ctx_len = ds_list_size(ctx_keys);
    for (var i = 0; i < ctx_len; i++) {
        var inst = ctx_keys[|i];
        with (ctx_keys[|i]) {
            var xps = xpostshift;
            // apply the velocity:
            if (sign(xps) == _sign) {
                // handle the delta so that riding two elevators at once
                // would not shift an instance twice as fast
                var axps = abs(xps);
                if (axps < steps) {
                    xpostshift = _sign * min(axps + (taken - ctx_values[|i]), steps); 
                }
            } else {
                xpostshift += _sign * (taken - ctx_values[|i]);
            }
        }
    }
}
// it does not matter that map+lists are being constantly
// created-destroyed as GM:S reuses them (and indexes) anyway.
ds_map_destroy(ctx_map);
ds_list_destroy(ctx_keys);
ds_list_destroy(ctx_values);
